# OAuth::setToken

(PECL OAuth >= 0.99.1)

OAuth::setToken — Sets the token and secret

### Description

public OAuth::setToken ( string `$token` , string `$token_secret` ) : bool

Set the token and secret for subsequent requests.

### Parameters

`token`

  The OAuth token.

`token_secret`

  The OAuth token secret.

### Return Values

`TRUE`

### Examples

Example #1 OAuth::setToken() example

`<?php
$oauth = new OAuth(OAUTH_CONSUMER_KEY,OAUTH_CONSUMER_SECRET);
$oauth->setToken("token","token-secret");
?>`